Package org.eclipse.graphiti.features.context

# Interface IMoveConnectionDecoratorContext

All Superinterfaces:
  `IContext`, `ILocationContext`, `IPropertyBag`

All Known Implementing Classes:
  `MoveConnectionDecoratorContext`

public interface IMoveConnectionDecoratorContext extends ILocationContext
The Interface IMoveConnectionDecoratorContext.

## Method Summary

Modifier and Type
Method
Description
`ConnectionDecorator`
`getConnectionDecorator()`
Gets the connection decorator.
`boolean`
`isExecuteAllowed()`
Checks if execute is allowed.

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Method Details

### getConnectionDecorator

ConnectionDecorator getConnectionDecorator()
Gets the connection decorator.

Returns:
  the connection decorator

### isExecuteAllowed

boolean isExecuteAllowed()
Checks if execute is allowed.

Returns:
  true, if execute is allowed